using Lindt.Candybox.Demo;
using Point = System.Drawing.Point;

namespace CandyboxPlugin.Recipe
{
    public class LearningParameters
    {
        public HistogramRecipeConfiguration Configuration { get; set; } = new HistogramRecipeConfiguration();
        public float BlisterAngle { get; set; } = 0f;
        public Point BlisterPosition { get; set; }
        public List<CandyParameter> CandyParameters { get; set; } = new List<CandyParameter>();
        public int ImageWidth { get; set; } = 1800;
        public List<VectorLine> Cuts { get; set; } = new List<VectorLine>();
    }
}